#pragma once
#include <qpushbutton.h>
#include <qtablewidget.h>
#include <QWidget>

#include "db/ApplicationInfo.h"
#include "db/DeviceInfo.h"

class DeviceWidget final : public QWidget {
    Q_OBJECT

public:
    explicit DeviceWidget(const DeviceInfo &device, QWidget *parent = nullptr);

private:
    const DeviceInfo m_device;

    void buildBankRow(const ApplicationInfo &app, QWidget *rowWidget, QWidget *parent);

    void setOpenBanksSettings(QPushButton *button);
};
